﻿using Microsoft.EntityFrameworkCore;
using Coscine.Database.Settings;
using Coscine.Database.DataModel;
using Coscine.Configuration;

namespace Coscine.Database
{
    public partial class CoscineDB : Model
    {
        public static DatabaseSettingsConfiguration DatabaseSettingsConfiguration { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (DatabaseSettingsConfiguration == null)
            {
                IConfiguration _configuration = new ConsulConfiguration();
                DatabaseSettingsConfiguration = new DatabaseSettingsConfiguration(_configuration);
            }

            optionsBuilder.UseSqlServer(DatabaseSettingsConfiguration.ConnectionStrings());
        }
    }
}
